
/**
* SWFObject v1.5: Flash Player detection and embed - http://blog.deconcept.com/swfobject/
*
* SWFObject is (c) 2007 Geoff Stearns and is released under the MIT License:
* http://www.opensource.org/licenses/mit-license.php
*
*/
if (typeof deconcept == "undefined") { var deconcept = new Object(); } if (typeof deconcept.util == "undefined") { deconcept.util = new Object(); } if (typeof deconcept.SWFObjectUtil == "undefined") { deconcept.SWFObjectUtil = new Object(); } deconcept.SWFObject = function(_1, id, w, h, _5, c, _7, _8, _9, _a) { if (!document.getElementById) { return; } this.DETECT_KEY = _a ? _a : "detectflash"; this.skipDetect = deconcept.util.getRequestParameter(this.DETECT_KEY); this.params = new Object(); this.variables = new Object(); this.attributes = new Array(); if (_1) { this.setAttribute("swf", _1); } if (id) { this.setAttribute("id", id); } if (w) { this.setAttribute("width", w); } if (h) { this.setAttribute("height", h); } if (_5) { this.setAttribute("version", new deconcept.PlayerVersion(_5.toString().split("."))); } this.installedVer = deconcept.SWFObjectUtil.getPlayerVersion(); if (!window.opera && document.all && this.installedVer.major > 7) { deconcept.SWFObject.doPrepUnload = true; } if (c) { this.addParam("bgcolor", c); } var q = _7 ? _7 : "high"; this.addParam("quality", q); this.setAttribute("useExpressInstall", false); this.setAttribute("doExpressInstall", false); var _c = (_8) ? _8 : window.location; this.setAttribute("xiRedirectUrl", _c); this.setAttribute("redirectUrl", ""); if (_9) { this.setAttribute("redirectUrl", _9); } }; deconcept.SWFObject.prototype = { useExpressInstall: function(_d) { this.xiSWFPath = !_d ? "expressinstall.swf" : _d; this.setAttribute("useExpressInstall", true); }, setAttribute: function(_e, _f) { this.attributes[_e] = _f; }, getAttribute: function(_10) { return this.attributes[_10]; }, addParam: function(_11, _12) { this.params[_11] = _12; }, getParams: function() { return this.params; }, addVariable: function(_13, _14) { this.variables[_13] = _14; }, getVariable: function(_15) { return this.variables[_15]; }, getVariables: function() { return this.variables; }, getVariablePairs: function() { var _16 = new Array(); var key; var _18 = this.getVariables(); for (key in _18) { _16[_16.length] = key + "=" + _18[key]; } return _16; }, getSWFHTML: function() { var _19 = ""; if (navigator.plugins && navigator.mimeTypes && navigator.mimeTypes.length) { if (this.getAttribute("doExpressInstall")) { this.addVariable("MMplayerType", "PlugIn"); this.setAttribute("swf", this.xiSWFPath); } _19 = "<embed type=\"application/x-shockwave-flash\" src=\"" + this.getAttribute("swf") + "\" width=\"" + this.getAttribute("width") + "\" height=\"" + this.getAttribute("height") + "\" style=\"" + this.getAttribute("style") + "\""; _19 += " id=\"" + this.getAttribute("id") + "\" name=\"" + this.getAttribute("id") + "\" "; var _1a = this.getParams(); for (var key in _1a) { _19 += [key] + "=\"" + _1a[key] + "\" "; } var _1c = this.getVariablePairs().join("&"); if (_1c.length > 0) { _19 += "flashvars=\"" + _1c + "\""; } _19 += "/>"; } else { if (this.getAttribute("doExpressInstall")) { this.addVariable("MMplayerType", "ActiveX"); this.setAttribute("swf", this.xiSWFPath); } _19 = "<object tabIndex=3 id=\"" + this.getAttribute("id") + "\" classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" width=\"" + this.getAttribute("width") + "\" height=\"" + this.getAttribute("height") + "\" style=\"" + this.getAttribute("style") + "\">"; _19 += "<param name=\"movie\" value=\"" + this.getAttribute("swf") + "\" />"; var _1d = this.getParams(); for (var key in _1d) { _19 += "<param name=\"" + key + "\" value=\"" + _1d[key] + "\" />"; } var _1f = this.getVariablePairs().join("&"); if (_1f.length > 0) { _19 += "<param name=\"flashvars\" value=\"" + _1f + "\" />"; } _19 += "</object>"; } return _19; }, write: function(_20) { if (this.getAttribute("useExpressInstall")) { var _21 = new deconcept.PlayerVersion([6, 0, 65]); if (this.installedVer.versionIsValid(_21) && !this.installedVer.versionIsValid(this.getAttribute("version"))) { this.setAttribute("doExpressInstall", true); this.addVariable("MMredirectURL", escape(this.getAttribute("xiRedirectUrl"))); document.title = document.title.slice(0, 47) + " - Flash Player Installation"; this.addVariable("MMdoctitle", document.title); } } if (this.skipDetect || this.getAttribute("doExpressInstall") || this.installedVer.versionIsValid(this.getAttribute("version"))) { var n = (typeof _20 == "string") ? document.getElementById(_20) : _20; n.innerHTML = this.getSWFHTML(); return true; } else { if (this.getAttribute("redirectUrl") != "") { document.location.replace(this.getAttribute("redirectUrl")); } } return false; } }; deconcept.SWFObjectUtil.getPlayerVersion = function() { var _23 = new deconcept.PlayerVersion([0, 0, 0]); if (navigator.plugins && navigator.mimeTypes.length) { var x = navigator.plugins["Shockwave Flash"]; if (x && x.description) { _23 = new deconcept.PlayerVersion(x.description.replace(/([a-zA-Z]|\s)+/, "").replace(/(\s+r|\s+b[0-9]+)/, ".").split(".")); } } else { if (navigator.userAgent && navigator.userAgent.indexOf("Windows CE") >= 0) { var axo = 1; var _26 = 3; while (axo) { try { _26++; axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash." + _26); _23 = new deconcept.PlayerVersion([_26, 0, 0]); } catch (e) { axo = null; } } } else { try { var axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.7"); } catch (e) { try { var axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.6"); _23 = new deconcept.PlayerVersion([6, 0, 21]); axo.AllowScriptAccess = "always"; } catch (e) { if (_23.major == 6) { return _23; } } try { axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash"); } catch (e) { } } if (axo != null) { _23 = new deconcept.PlayerVersion(axo.GetVariable("$version").split(" ")[1].split(",")); } } } return _23; }; deconcept.PlayerVersion = function(_29) { this.major = _29[0] != null ? parseInt(_29[0]) : 0; this.minor = _29[1] != null ? parseInt(_29[1]) : 0; this.rev = _29[2] != null ? parseInt(_29[2]) : 0; }; deconcept.PlayerVersion.prototype.versionIsValid = function(fv) { if (this.major < fv.major) { return false; } if (this.major > fv.major) { return true; } if (this.minor < fv.minor) { return false; } if (this.minor > fv.minor) { return true; } if (this.rev < fv.rev) { return false; } return true; }; deconcept.util = { getRequestParameter: function(_2b) { var q = document.location.search || document.location.hash; if (_2b == null) { return q; } if (q) { var _2d = q.substring(1).split("&"); for (var i = 0; i < _2d.length; i++) { if (_2d[i].substring(0, _2d[i].indexOf("=")) == _2b) { return _2d[i].substring((_2d[i].indexOf("=") + 1)); } } } return ""; } }; deconcept.SWFObjectUtil.cleanupSWFs = function() { var _2f = document.getElementsByTagName("OBJECT"); for (var i = _2f.length - 1; i >= 0; i--) { _2f[i].style.display = "none"; for (var x in _2f[i]) { if (typeof _2f[i][x] == "function") { _2f[i][x] = function() { }; } } } }; if (deconcept.SWFObject.doPrepUnload) { if (!deconcept.unloadSet) { deconcept.SWFObjectUtil.prepUnload = function() { __flash_unloadHandler = function() { }; __flash_savedUnloadHandler = function() { }; window.attachEvent("onunload", deconcept.SWFObjectUtil.cleanupSWFs); }; window.attachEvent("onbeforeunload", deconcept.SWFObjectUtil.prepUnload); deconcept.unloadSet = true; } } if (!document.getElementById && document.all) { document.getElementById = function(id) { return document.all[id]; }; } var getQueryParamValue = deconcept.util.getRequestParameter; var FlashObject = deconcept.SWFObject; var SWFObject = deconcept.SWFObject;

function getExit() {
	x = confirm("Are you sure you wish to exit this course?");
	if (x) { closeWindow(); }
}

function getResources() {
	openWin('../../includes/references/references.html','780', '420');
}

function getGlossary() {
	openWin('../../includes/glossary/index.html','780', '420');	
}

function getCoursemap() {
	openWin('../../includes/HTML/coursemap.html','780', '420');		
}

function getNavigation() {
	openWin('../../includes/HTML/navigation.html','780', '420');	
}

function certificate() {
	openCert('../../includes/HTML/certificate.html','651', '505');		
}

function goMainMenu() {
	if (parent.topEmpty.apiIsInitialized) { 
		// Course is on LMS
		x = confirm("This will close the window and bring you back to the LMS menu.\nDo you wish to continue?");
		if (x) { closeWindow(); }
	} else {
		// GO to main menu		
		x = confirm("This will close the window and bring you back to the main menu.\nDo you wish to continue?");
		if (x) { closeWindow(); }
	}
	
}

function showCourseSettings() {
	if (!parent.topEmpty.ccPop) {
	
		document.getElementById("coursesettings").style.visibility = "visible";
		document.getElementById("settingsButton").focus();
		
		parent.topEmpty.ccPop = true;
	} else {
		document.getElementById("image").style.visibility = "visible";
	}
}

function simple_roll(name, newloc) {
	eval ('window.document.' + name + '.src = \'' + newloc + '\'');
}

function closeWindow() {
	if (parent.window) { parent.window.close(); } else { window.close(); }
}

function openWin(url,w,h) {
	win = window.open (url,"commonWin","toolbar=no,width="+w+",height="+h+",menubar=no,resizable=yes,status=no,scrollbars=yes");
	//win.moveTo(((screen.width/2)-(w/2)-5),((screen.height/2)-(h/2)-25));
	win.focus();
}

function openCert(url,w,h) {
	win = window.open (url,"commonWin","toolbar=no,width="+w+",height="+h+",menubar=no,resizable=no,status=no,scrollbars=no");
	win.moveTo(((screen.width/2)-(w/2)-5),((screen.height/2)-(h/2)-25));
	win.focus();
}

function open_comment_window(window_loc) {
    newwin = window.open(window_loc, "Comments", "width=780,height=578,scrollbars=1");
    newwin.focus();
}

function moveNext() {
    document.location = myNext;
}

function moveBack() {
    document.location = myBack;
}

function moveNextBrnch() {
    branchAlert();
}

function displayResults(minScore) {

	// Called at the end of test pages from the results page.  This can be customized to send data to LMS or display number correct/incorrect.  minScore is passed from the passing score set in C2 Build at the SCO level.
    
}

function open_edit_window( myLocation, myName, myWidth, myHeight) {	
if (myWidth < 780) { myWidth = 780 }
		myWin= open(myLocation, myName ,"width=" + myWidth + ",height=" + myHeight + ",location=no,status=yes,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,top=0,left=0");
		myWin.focus();		
}

var xmlObj = new Object;

function loadXML(file) {
	
	var xmlhttp=false;	
	isLocal=false;
	
	var isIE = -1;
	if (navigator.appName == 'Microsoft Internet Explorer')
	{
		var ua = navigator.userAgent;
		var re  = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
		if (re.exec(ua) != null)
		isIE = parseFloat( RegExp.$1 );
	}	
	
	/* running locally on IE6, IE7 */      
	 if(location.protocol=="file:"){
	  if(!xmlhttp)try{ xmlhttp=new ActiveXObject("MSXML2.XMLHTTP"); }catch(e){xmlhttp=false;}
	  if(!xmlhttp)try{ xmlhttp=new ActiveXObject("Microsoft.XMLDOM");; }catch(e){xmlhttp=false;}
	  isLocal=true;
	 }                                                                                ; 
	/* IE7, Firefox, Safari, Opera, Chrome...  */
	 if(!xmlhttp)try{ xmlhttp=new XMLHttpRequest(); }catch(e){xmlhttp=false;}
	/* IE6 */
	 if(typeof ActiveXObject != "undefined"){
	  if(!xmlhttp)try{ xmlhttp=new ActiveXObject("MSXML2.XMLHTTP"); }catch(e){xmlhttp=false;}
	  if(!xmlhttp)try{ xmlhttp=new ActiveXObject("Microsoft.XMLHTTP"); }catch(e){xmlhttp=false;}
	 }
	
	if(isLocal==true && isIE!=-1) {
		xmlObj = new ActiveXObject("Microsoft.XMLDOM");		
		xmlObj.async = "false";
		xmlObj.load(file);
	} else {
		xmlhttp.open("GET",file,false);
		xmlhttp.onreadystatechange=function(){
		if(xmlhttp.readyState!=4)return;
	
		};//onreadystatechange
		xmlhttp.send(null);
	
		xmlObj=xmlhttp.responseXML;	
	}
}

function populateGlossary() {

    loadXML("../../xml/glossary.xml");
	
	glossXML = xmlObj.documentElement.getElementsByTagName("term");
	
    var glossaryLetters = "";
    var headers = false;

    var glossaryTerms = "<table width='90%' border='0' cellspacing='0' cellpadding='3'>";


        var alphabet = new Array("A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z");

        for (i = 0; i < alphabet.length; i++) {

            termName = alphabet[i];
            var lt = false;

            
            // Run a loop to see if header letter has any words
						
            for (x = 0; x < glossXML.length; x++) {

                if (glossXML[x].getAttribute("name").charAt(0) == termName) {
                    lt = true;
                }

            }

            // If header letter has words, link it, otherwise don't
            if (lt == true) {
				glossaryTerms += "<tr><td ><b><a id='glossHeader'  name='" + termName + "'>" + termName + "</a></b></td><td align='right'></td></tr>";
				
                glossaryLetters += "<b><a href='#" + termName + "' >" + termName + "</a></b>&nbsp;&nbsp;&nbsp;";

                for (x = 0; x < glossXML.length; x++) {

                    if (glossXML[x].getAttribute("name").charAt(0) == termName) {
                        glossaryTerms += "<tr><td valign=top><b><a name='" + glossXML[x].getAttribute("id") + "' id='" + glossXML[x].getAttribute("id") + "'></a><div></div>" + glossXML[x].getAttribute("name") + "</b></td><td valign=top>" + glossXML[x].getAttribute("desc") + "</td></tr><tr><td colspan=2 height=12>&nbsp;</td></tr>";
                    }

                }


            } else {
                glossaryLetters += "<b>" + termName + "</b>&nbsp;&nbsp;&nbsp;";
            }
        

    }
	
	glossaryTerms += "<tr><td colspan='2'><a href='#top' title='Navigate to the top of the Window'>Go To Top</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href='javascript:window.parent.close();' title='Close Glossary Window'>Close Window</a></td></tr></table>"
	
    document.getElementById("definitionWords").innerHTML = glossaryTerms;
    document.getElementById("glossaryLetters").innerHTML = glossaryLetters;
    
    currentLoc = document.location.href;
    glossID = currentLoc.split("#");

    if (glossID[1]) {
        window.scrollBy(0, 0);
        window.scrollBy(0, getElementTop(glossID[1]));
    }
    
}

function getElementTop(Elem) {

    if (document.getElementById) {
        var elem = document.getElementById(Elem);
    } else if (document.all) {
        var elem = document.all[Elem];
    }
	
    yPos = elem.offsetTop;

    tempEl = elem.offsetParent;
    while (tempEl != null) {
        yPos += tempEl.offsetTop;
        tempEl = tempEl.offsetParent;
    }
    return yPos;

}

function populateReferences() {

    loadXML("../../xml/references.xml");
	
	refXML = xmlObj.documentElement.getElementsByTagName("reference");

    var references = "<ul>";

    for (i = 0; i < refXML.length; i++) {
		
		if (refXML[i].getAttribute("file") == "") {
			references += "<p>" + refXML[i].getAttribute("name") + "</p>";
		} else {
      	  references += "<li><a target='_blank' href='" + refXML[i].getAttribute("file") + "'>" + refXML[i].getAttribute("name") + "</a></li>";
		}

    }

    references += "</ul>"

    if (references == "<ul></ul>") { references = "None provided"; }

    document.getElementById("coursemapDiv").innerHTML = references;
}


